<?php
namespace OCA\GroupfolderFilesystemSnapshots\Db;

use JsonSerializable;

use OCP\AppFramework\Db\Entity;

class DiffTask extends Entity implements JsonSerializable {

    protected $userId;
    protected $groupfolderId;
    protected $snapshotId;
    protected $timestamp;

    public function __construct() {
        $this->addType('id','integer');
        $this->addType('groupfolderId','integer');
    }

    public function jsonSerialize() {
        return [
            'id' => $this->id,
            'groupfolderId' => $this->groupfolderId,
            'snapshotId' => $this->snapshotId,
            'timestamp' => $this->timestamp,
        ];
    }
}